<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free/css/all.css">
    <link rel="stylesheet" href="app.css">
</head>
<body>
    <div class="jumbotron rounded-0">
        <h1>Login</h1>      
        <p>please login to use</p>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-8">
                <div class="form-group">
                    <label for="username">Username:</label>
                    <input type="text" class="form-control" id="username" placeholder="Enter here...">
                </div>
                <div class="form-group">
                    <label for="pwd">Password:</label>
                    <input type="password" class="form-control" id="pwd" placeholder="Enter here...">
                    <label class="checkcontainer">Show password
                        <input type="checkbox" id="showpwd">
                        <span class="checkmark"></span>
                    </label>
                </div>
                <div>
                    <button class="btn btn-primary" id="loginBtn">Login</button>
                </div>
            </div>    
        </div>
    </div>

    <script>
        $= require('jquery');
        require('bootstrap');
        require('popper.js');
        require('./login.js');

        const {ipcRenderer}=require('electron')

        $('#loginBtn').on('click',()=>{
            console.log('pressed');
            loginDetail={
                username: $('#username').val(),
                pwd: $('#pwd').val()
            }
            ipcRenderer.send('loginInit',loginDetail);
        })
    </script>
</body>
</html>